# Class CIM_CompoundPolicyCondition
extends CIM_PolicyCondition

CompoundPolicyCondition is used to represent compound conditions formed by aggregating simpler policy conditions. Compound conditions are constructed by associating subordinate condition terms together using the PolicyConditionInPolicyCondition aggregation.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Policy
|
+--CIM_PolicyCondition
|
+--CIM_CompoundPolicyCondition

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CompoundPolicyCondition is used to represent compound conditions formed by aggregating simpler policy conditions. Compound conditions are constructed by associating subordinate condition terms together using the PolicyConditionInPolicyCondition aggregation.
UMLPackagePath | string | CIM::Policy
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ConditionListType | uint16 |
Description | string | Indicates whether the list of CompoundPolicyConditions associated with this PolicyRule is in disjunctive normal form (DNF) or conjunctive normal form (CNF). The default value is 1 ("DNF").
ValueMap | string | 1, 2
Values | string | DNF, CNF

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommonName | string | CIM_Policy
CreationClassName | string | CIM_PolicyCondition
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PolicyConditionName | string | CIM_PolicyCondition
PolicyRuleCreationClassName | string | CIM_PolicyCondition
PolicyRuleName | string | CIM_PolicyCondition
SystemCreationClassName | string | CIM_PolicyCondition
SystemName | string | CIM_PolicyCondition
PolicyKeywords | string[] | CIM_Policy

## Class Methods